知識庫(新版)
建立知識庫
POST /api/v1/knowledge-bases/
請求內容
請求參數
embeddingModel
string (uuid)
是
rerankerModel
string (uuid)
是
name
string
是
description
string
否
numberOfRetrievedChunks
integer
否
提取的參考資料數量,預設為 12,最小值為 1
enableHyde
boolean
否
啟用 HyDE,預設為 False
similarityCutoff
number (double)
否
相似度門檻,預設為 0.0,範圍為 0.0-1.0
enableRerank
boolean
否
是否啟用重新排序,預設為 True
enableRrf
boolean
否
Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. If not provided, uses system default.
vectorDatabaseType
object
否
Type of vector database: elasticsearch, opensearch, oracle or synxdb. Defaults to the platform-managed engine. elasticsearch: Elasticsearch ; opensearch: OpenSearch ; oracle: Oracle AI Database ...
vectorDatabaseUrl
string
否
Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name").
vectorDatabaseApiKey
string
否
API Key for Elasticsearch. Not used for OpenSearch.
opensearchUsername
string
否
Username for OpenSearch Basic Auth.
opensearchPassword
string
否
Password for OpenSearch Basic Auth.
oracleUser
string
否
Oracle database username.
oraclePassword
string
否
Oracle database password.
synxdbUser
string
否
SynxDB database username.
synxdbPassword
string
否
SynxDB database password.
chatbots
array[IdName]
否
groups
array[IdName]
否
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 201
回應結構範例
回應範例值
列出所有知識庫
GET /api/v1/knowledge-bases/
參數
embeddingModel
❌
string
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
query
❌
string
rerankerModel
❌
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
取得特定知識庫詳情
GET /api/v1/knowledge-bases/{id}/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
搜尋特定知識庫的內容
POST /api/v1/knowledge-bases/{id}/search/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
embeddingModel
❌
string
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
query
❌
string
rerankerModel
❌
string
請求內容
請求參數
searchMode
object
否
Search mode: hybrid (default, vector + BM25), semantic (vector only), keyword (BM25 only) hybrid: Hybrid (vector + BM25) ; semantic: Semantic (vector only) ; keyword: Keyword (BM25 only);
queryMetadata
object
否
查詢元數據,用於控制搜尋範圍和方式
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
更新知識庫
PUT /api/v1/knowledge-bases/{id}/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
請求內容
請求參數
organization
string (uuid)
否
embeddingModel
string (uuid)
是
rerankerModel
string (uuid)
是
name
string
是
description
string
否
numberOfRetrievedChunks
integer
否
提取的參考資料數量,預設為 12,最小值為 1
enableHyde
boolean
否
啟用 HyDE,預設為 False
similarityCutoff
number (double)
否
相似度門檻,預設為 0.0,範圍為 0.0-1.0
enableRerank
boolean
否
是否啟用重新排序,預設為 True
enableRrf
boolean
否
Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license.
vectorDatabaseType
object
否
Type of vector database: elasticsearch or opensearch. elasticsearch: Elasticsearch ; opensearch: OpenSearch ; oracle: Oracle AI Database 26ai ; synxdb: SynxDB;
vectorDatabaseUrl
string
否
Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name").
vectorDatabaseApiKey
string
否
API Key for Elasticsearch. Not used for OpenSearch.
opensearchUsername
string
否
Username for OpenSearch Basic Auth.
opensearchPassword
string
否
Password for OpenSearch Basic Auth.
oracleUser
string
否
Oracle database username.
oraclePassword
string
否
Oracle database password.
synxdbUser
string
否
SynxDB database username.
synxdbPassword
string
否
SynxDB database password.
chatbots
array[IdName]
否
groups
array[IdName]
否
知識庫可存取的群組列表
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
部分更新知識庫
PATCH /api/v1/knowledge-bases/{id}/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
請求內容
請求參數
organization
string (uuid)
否
embeddingModel
string (uuid)
否
rerankerModel
string (uuid)
否
name
string
否
description
string
否
numberOfRetrievedChunks
integer
否
提取的參考資料數量,預設為 12,最小值為 1
enableHyde
boolean
否
啟用 HyDE,預設為 False
similarityCutoff
number (double)
否
相似度門檻,預設為 0.0,範圍為 0.0-1.0
enableRerank
boolean
否
是否啟用重新排序,預設為 True
enableRrf
boolean
否
Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license.
vectorDatabaseType
object
否
Type of vector database: elasticsearch or opensearch. elasticsearch: Elasticsearch ; opensearch: OpenSearch ; oracle: Oracle AI Database 26ai ; synxdb: SynxDB;
vectorDatabaseUrl
string
否
Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name").
vectorDatabaseApiKey
string
否
API Key for Elasticsearch. Not used for OpenSearch.
opensearchUsername
string
否
Username for OpenSearch Basic Auth.
opensearchPassword
string
否
Password for OpenSearch Basic Auth.
oracleUser
string
否
Oracle database username.
oraclePassword
string
否
Oracle database password.
synxdbUser
string
否
SynxDB database username.
synxdbPassword
string
否
SynxDB database password.
chatbots
array[IdName]
否
groups
array[IdName]
否
知識庫可存取的群組列表
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
刪除知識庫
DELETE /api/v1/knowledge-bases/{id}/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
程式碼範例
回應內容
204
No response body
檢查 RRF 可用性
GET /api/v1/knowledge-bases/{id}/check-rrf-availability/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
匯出標籤 Excel
GET /api/v1/knowledge-bases/{id}/export-labels-excel/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
程式碼範例
回應內容
200
Excel file download
匯入標籤 Excel
POST /api/v1/knowledge-bases/{id}/import-labels-excel/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
匯出元資料 Excel
GET /api/v1/knowledge-bases/{id}/export-metadata-excel/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
程式碼範例
回應內容
200
Excel 檔案下載
匯入元資料 Excel
POST /api/v1/knowledge-bases/{id}/import-metadata-excel/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
建立新標籤
POST /api/v1/knowledge-bases/{knowledgeBasePk}/labels/
參數
knowledgeBasePk
✅
string
請求內容
請求參數
name
string
是
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 201
回應結構範例
回應範例值
列出知識庫中的標籤
GET /api/v1/knowledge-bases/{knowledgeBasePk}/labels/
參數
knowledgeBasePk
✅
string
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
取得特定標籤詳情
GET /api/v1/knowledge-bases/{knowledgeBasePk}/labels/{id}/
參數
id
✅
string
A UUID string identifying this knowledge base label.
knowledgeBasePk
✅
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
更新標籤
PUT /api/v1/knowledge-bases/{knowledgeBasePk}/labels/{id}/
參數
id
✅
string
A UUID string identifying this knowledge base label.
knowledgeBasePk
✅
string
請求內容
請求參數
name
string
是
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
部分更新標籤
PATCH /api/v1/knowledge-bases/{knowledgeBasePk}/labels/{id}/
參數
id
✅
string
A UUID string identifying this knowledge base label.
knowledgeBasePk
✅
string
請求內容
請求參數
name
string
否
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
刪除標籤
DELETE /api/v1/knowledge-bases/{knowledgeBasePk}/labels/{id}/
參數
id
✅
string
A UUID string identifying this knowledge base label.
knowledgeBasePk
✅
string
程式碼範例
回應內容
204
No response body
建立元資料欄位
POST /api/v1/knowledge-bases/{knowledgeBasePk}/metadata-keys/
參數
knowledgeBasePk
✅
string
請求內容
請求參數
keyName
string
是
Metadata 的 key 名稱
description
string
否
說明此欄位的用途
isRequired
boolean
否
是否為必填欄位
defaultValue
string
否
新檔案的預設值
enabledForSearch
boolean
否
是否在檢索時使用此欄位
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 201
回應結構範例
回應範例值
列出元資料欄位
GET /api/v1/knowledge-bases/{knowledgeBasePk}/metadata-keys/
參數
knowledgeBasePk
✅
string
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
pagination
❌
boolean
Set to false to return all keys without pagination (defaults to true).
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
取得特定元資料欄位
GET /api/v1/knowledge-bases/{knowledgeBasePk}/metadata-keys/{id}/
參數
id
✅
string
A UUID string identifying this Metadata Key.
knowledgeBasePk
✅
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
更新元資料欄位
PUT /api/v1/knowledge-bases/{knowledgeBasePk}/metadata-keys/{id}/
參數
id
✅
string
A UUID string identifying this Metadata Key.
knowledgeBasePk
✅
string
請求內容
請求參數
keyName
string
是
Metadata 的 key 名稱
description
string
否
說明此欄位的用途
isRequired
boolean
否
是否為必填欄位
defaultValue
string
否
新檔案的預設值
enabledForSearch
boolean
否
是否在檢索時使用此欄位
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
上傳檔案到知識庫
POST /api/v1/knowledge-bases/{knowledgeBasePk}/files/
參數
knowledgeBasePk
✅
string
fileType
❌
string
檔案類型過濾,例如:pdf、docx、txt、xlsx 等
knowledgeBase
❌
string
知識庫 ID
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
query
❌
string
搜尋關鍵字,支援空白分隔的多條件查詢。可搜尋:檔案 ID、檔案名稱、標籤名稱、Metadata value
status
❌
string
檔案狀態過濾,可選值:initial(初始化)、processing(處理中)、done(完成)、deleting(刪除中)、deleted(已刪除)、failed(失敗) `initial`: Initial ; `processing`: Processing ; `done`: Done ; `deleting`: Deleting ; `deleted`: Deleted ; `faile...
請求內容
請求參數
files
array[KnowledgeBaseFileCreate]
是
Supports uploading multiple files in one batch.
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 201
回應結構範例
回應範例值
更新檔案元資料
PATCH /api/v1/knowledge-bases/{knowledgeBasePk}/files/{id}/update-metadata/
參數
id
✅
string
A UUID string identifying this Knowledge Base File.
knowledgeBasePk
✅
string
請求內容
請求參數
labels
array[IdName]
否
rawUserDefineMetadata
object
否
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
批量刪除檔案
POST /api/v1/knowledge-bases/{knowledgeBasePk}/files/batch-delete/
參數
knowledgeBasePk
✅
string
請求內容
請求參數
ids
array[string]
是
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
批量重新解析檔案
PATCH /api/v1/knowledge-bases/{knowledgeBasePk}/files/batch-reparse/
參數
knowledgeBasePk
✅
string
fileType
❌
string
檔案類型過濾,例如:pdf、docx、txt、xlsx 等
knowledgeBase
❌
string
知識庫 ID
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
query
❌
string
搜尋關鍵字,支援空白分隔的多條件查詢。可搜尋:檔案 ID、檔案名稱、標籤名稱、Metadata value
status
❌
string
檔案狀態過濾,可選值:initial(初始化)、processing(處理中)、done(完成)、deleting(刪除中)、deleted(已刪除)、failed(失敗) `initial`: Initial ; `processing`: Processing ; `done`: Done ; `deleting`: Deleting ; `deleted`: Deleted ; `faile...
程式碼範例
{% tabs %} {% tab title="Shell/Bash" %}
回應內容
狀態碼: 200
回應結構範例
回應範例值
列出知識庫中的檔案
GET /api/v1/knowledge-bases/{knowledgeBasePk}/files/
參數
knowledgeBasePk
✅
string
fileType
❌
string
檔案類型過濾,例如:pdf、docx、txt、xlsx 等
knowledgeBase
❌
string
知識庫 ID
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
query
❌
string
搜尋關鍵字,支援空白分隔的多條件查詢。可搜尋:檔案 ID、檔案名稱、標籤名稱、Metadata value
status
❌
string
檔案狀態過濾,可選值:initial(初始化)、processing(處理中)、done(完成)、deleting(刪除中)、deleted(已刪除)、failed(失敗) `initial`: Initial ; `processing`: Processing ; `done`: Done ; `deleting`: Deleting ; `deleted`: Deleted ; `faile...
程式碼範例
{% tabs %} {% tab title="Shell/Bash" %}
回應內容
狀態碼: 200
回應結構範例
回應範例值
取得特定檔案詳情
GET /api/v1/knowledge-bases/{knowledgeBasePk}/files/{id}/
參數
id
✅
string
A UUID string identifying this Knowledge Base File.
knowledgeBasePk
✅
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
取得檔案最新失敗原因
GET /api/v1/knowledge-bases/{knowledgeBasePk}/files/{id}/latest-failed-reason/
參數
id
✅
string
A UUID string identifying this Knowledge Base File.
knowledgeBasePk
✅
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
取得檔案轉錄內容
GET /api/v1/knowledge-bases/{knowledgeBasePk}/files/{id}/transcription/
參數
id
✅
string
A UUID string identifying this Knowledge Base File.
knowledgeBasePk
✅
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
更新檔案資訊
PUT /api/v1/knowledge-bases/{knowledgeBasePk}/files/{id}/
參數
id
✅
string
A UUID string identifying this Knowledge Base File.
knowledgeBasePk
✅
string
請求內容
請求參數
filename
string
是
檔案名稱
file
string (uri)
是
要上傳的檔案
parser
string (uuid)
否
labels
array[IdName]
否
rawUserDefineMetadata
object
否
asrOptions
object
否
Per-file canonical transcription options (languages, prompt, diarization). Empty means no per-file options: provider defaults apply. Completely decoupled from user-defined metadata; never indexed for ...
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
部分更新檔案
PATCH /api/v1/knowledge-bases/{knowledgeBasePk}/files/{id}/
參數
id
✅
string
A UUID string identifying this Knowledge Base File.
knowledgeBasePk
✅
string
請求內容
請求參數
filename
string
否
檔案名稱
file
string (uri)
否
要上傳的檔案
parser
string (uuid)
否
labels
array[IdName]
否
rawUserDefineMetadata
object
否
asrOptions
object
否
Per-file canonical transcription options (languages, prompt, diarization). Empty means no per-file options: provider defaults apply. Completely decoupled from user-defined metadata; never indexed for ...
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
刪除檔案
DELETE /api/v1/knowledge-bases/{knowledgeBasePk}/files/{id}/
參數
id
✅
string
A UUID string identifying this Knowledge Base File.
knowledgeBasePk
✅
string
程式碼範例
回應內容
狀態碼: 202
回應結構範例
回應範例值
狀態碼: 204 - No response body
建立檔案翻譯
POST /api/v1/knowledge-bases/{knowledgeBasePk}/files/{knowledgeBaseFilePk}/translations/
參數
knowledgeBaseFilePk
✅
string
knowledgeBasePk
✅
string
請求內容
請求參數
sourceLanguage
string
否
targetLanguage
string
是
customPrompt
string
否
largeLanguageModelId
string (uuid)
是
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 201
回應結構範例
回應範例值
列出檔案翻譯
GET /api/v1/knowledge-bases/{knowledgeBasePk}/files/{knowledgeBaseFilePk}/translations/
參數
knowledgeBaseFilePk
✅
string
knowledgeBasePk
✅
string
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
取得特定翻譯
GET /api/v1/knowledge-bases/{knowledgeBasePk}/files/{knowledgeBaseFilePk}/translations/{id}/
參數
id
✅
string
A UUID string identifying this File Translation.
knowledgeBaseFilePk
✅
string
knowledgeBasePk
✅
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
刪除翻譯
DELETE /api/v1/knowledge-bases/{knowledgeBasePk}/files/{knowledgeBaseFilePk}/translations/{id}/
參數
id
✅
string
A UUID string identifying this File Translation.
knowledgeBaseFilePk
✅
string
knowledgeBasePk
✅
string
程式碼範例
回應內容
204
No response body
下載翻譯檔案
GET /api/v1/knowledge-bases/{knowledgeBasePk}/files/{knowledgeBaseFilePk}/translations/{id}/download/
參數
id
✅
string
A UUID string identifying this File Translation.
knowledgeBaseFilePk
✅
string
knowledgeBasePk
✅
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
列出知識庫文件
GET /api/v1/knowledge-bases/{knowledgeBasePk}/documents/
參數
knowledgeBasePk
✅
string
chatbotFileId
❌
string
【將棄用】檔案 ID(請使用 knowledge_base_file_id)
knowledgeBaseFileId
❌
string
知識庫檔案 ID
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
狀態碼: 404 - 知識庫檔案不存在,或不屬於目前組織
更新文件
PUT /api/v1/knowledge-bases/{knowledgeBasePk}/documents/{id}/
參數
id
✅
string
A UUID string identifying this Chatbot Document.
knowledgeBasePk
✅
string
請求內容
請求參數
fileName
string
是
pageNumber
integer
否
chatbotFile
string (uuid)
是
excludedEmbedMetadataKeys
object
否
List[str]: metadata keys to exclude from the embedding.
excludedLlmMetadataKeys
object
否
List[str]: metadata keys to exclude from the LLM context.
llamaIndexObjectJson
object
否
metadata
object
否
text
string
是
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
部分更新文件
PATCH /api/v1/knowledge-bases/{knowledgeBasePk}/documents/{id}/
參數
id
✅
string
A UUID string identifying this Chatbot Document.
knowledgeBasePk
✅
string
請求內容
請求參數
fileName
string
否
pageNumber
integer
否
chatbotFile
string (uuid)
否
excludedEmbedMetadataKeys
object
否
List[str]: metadata keys to exclude from the embedding.
excludedLlmMetadataKeys
object
否
List[str]: metadata keys to exclude from the LLM context.
llamaIndexObjectJson
object
否
metadata
object
否
text
string
否
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
刪除文件
DELETE /api/v1/knowledge-bases/{knowledgeBasePk}/documents/{id}/
參數
id
✅
string
A UUID string identifying this Chatbot Document.
knowledgeBasePk
✅
string
程式碼範例
回應內容
204
No response body
建立新的 FAQ
POST /api/v1/knowledge-bases/{knowledgeBasePk}/faqs/
參數
knowledgeBasePk
✅
string
請求內容
請求參數
question
string
是
answer
string
是
answerMediaUrls
object
否
URLs of media files, such as images and videos, in the answer.
labels
array[IdName]
否
rawUserDefineMetadata
object
否
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 201
回應結構範例
回應範例值
更新 FAQ 元資料
PATCH /api/v1/knowledge-bases/{knowledgeBasePk}/faqs/{id}/update-metadata/
參數
id
✅
string
A UUID string identifying this FAQ.
knowledgeBasePk
✅
string
請求內容
請求參數
labels
array[IdName]
否
rawUserDefineMetadata
object
否
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
批量刪除 FAQ
POST /api/v1/knowledge-bases/{knowledgeBasePk}/faqs/batch-delete/
參數
knowledgeBasePk
✅
string
請求內容
請求參數
ids
array[string]
否
請求結構範例
請求範例值
程式碼範例
回應內容
204
No response body
列出特定知識庫的所有 FAQ
GET /api/v1/knowledge-bases/{knowledgeBasePk}/faqs/
參數
knowledgeBasePk
✅
string
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
query
❌
string
搜尋關鍵字,支援空白分隔的多條件查詢。可搜尋:FAQ ID、問題、答案、標籤名稱、Metadata value
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
取得特定 FAQ 詳情
GET /api/v1/knowledge-bases/{knowledgeBasePk}/faqs/{id}/
參數
id
✅
string
A UUID string identifying this FAQ.
knowledgeBasePk
✅
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
更新 FAQ
PUT /api/v1/knowledge-bases/{knowledgeBasePk}/faqs/{id}/
參數
id
✅
string
A UUID string identifying this FAQ.
knowledgeBasePk
✅
string
請求內容
請求參數
question
string
是
answer
string
是
answerMediaUrls
object
否
URLs of media files, such as images and videos, in the answer.
labels
array[IdName]
否
rawUserDefineMetadata
object
否
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
部分更新 FAQ
PATCH /api/v1/knowledge-bases/{knowledgeBasePk}/faqs/{id}/
參數
id
✅
string
A UUID string identifying this FAQ.
knowledgeBasePk
✅
string
請求內容
請求參數
question
string
否
answer
string
否
answerMediaUrls
object
否
URLs of media files, such as images and videos, in the answer.
labels
array[IdName]
否
rawUserDefineMetadata
object
否
請求結構範例
請求範例值
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
刪除 FAQ
DELETE /api/v1/knowledge-bases/{knowledgeBasePk}/faqs/{id}/
參數
id
✅
string
A UUID string identifying this FAQ.
knowledgeBasePk
✅
string
程式碼範例
回應內容
204
No response body
匯出 FAQ Excel(或空白範本)
GET /api/v1/knowledge-bases/{id}/export-faq-excel/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
匯入 FAQ Excel(非同步)
POST /api/v1/knowledge-bases/{id}/import-faq-excel/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
程式碼範例
回應內容
狀態碼: 202
回應結構範例
回應範例值
狀態碼: 409
回應結構範例
回應範例值
列出 FAQ 匯入工作
GET /api/v1/knowledge-bases/{id}/faq-import-jobs/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
embeddingModel
❌
string
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
pagination
❌
boolean
Set to false to return all jobs without pagination (defaults to true).
query
❌
string
rerankerModel
❌
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
取得特定 FAQ 匯入工作
GET /api/v1/knowledge-bases/{id}/faq-import-jobs/{jobId}/
參數
id
✅
string
A UUID string identifying this Knowledge Base.
jobId
✅
string
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
列出解析器
GET /api/v1/parsers/
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
取得特定解析器
GET /api/v1/parsers/{id}/
參數
id
✅
string
A UUID string identifying this 解析器.
程式碼範例
回應內容
狀態碼: 200
回應結構範例
回應範例值
最後更新於
這有幫助嗎?